Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Updates the name of an existing internal network. Only the workspace owner can perform this action.
cURL
curl --request PATCH \ --url https://{baseUrl}/api/v1/api/internal-networks/{id} \ --header 'Content-Type: application/json' \ --data ' { "name": "Updated Internal Network 1" } '
import requests url = "https://{baseUrl}/api/v1/api/internal-networks/{id}" payload = { "name": "Updated Internal Network 1" } headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({name: 'Updated Internal Network 1'}) }; fetch('https://{baseUrl}/api/v1/api/internal-networks/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://{baseUrl}/api/v1/api/internal-networks/{id}" payload := strings.NewReader("{\n \"name\": \"Updated Internal Network 1\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "message": "Success" }
Workspace ID
The updated name of the internal network
"Updated Internal Network 1"
"Success"